> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a tax property template



## OpenAPI

````yaml /spec/openapi.json get /tax_property_templates/{tax_property_template}
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /tax_property_templates/{tax_property_template}:
    get:
      tags:
        - Tax Property Templates
      summary: Retrieve a tax property template
      operationId: tax-property-templates-show
      parameters:
        - name: tax_property_template
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: >-
                      The type of the object in Nmbr
                      (`"tax_property_template"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/TaxPropertyTemplate'
              example:
                id: <id>
                object: tax_property_template
                data:
                  type: ca::province_of_employment
                  label: Province of Employment
                  format: string
                  options:
                    ca_ab: Alberta
                    ca_bc: British Columbia
                    ca_mb: Manitoba
                    ca_nb: New Brunswick
                    ca_nl: Newfoundland and Labrador
                    ca_ns: Nova Scotia
                    ca_nt: Northwest Territories
                    ca_nu: Nunavut
                    ca_on: Ontario
                    ca_pe: Prince Edward Island
                    ca_qc: Quebec
                    ca_sk: Saskatchewan
                    ca_yt: Yukon
                    ca_oc: Outside Canada
                  allow_concurrent: false
                  feature: onboarding
                  nullable: false
                  structure: null
                  validation: null
                links:
                  self: /tax_property_templates/ca::province_of_employment
components:
  schemas:
    TaxPropertyTemplate:
      type: object
      title: Tax Property Template
      properties:
        type:
          type: string
          nullable: true
        label:
          type: string
          nullable: true
        format:
          type: string
          nullable: true
        options:
          type: object
          nullable: true
          properties:
            ca_ab:
              type: string
              nullable: true
            ca_bc:
              type: string
              nullable: true
            ca_mb:
              type: string
              nullable: true
            ca_nb:
              type: string
              nullable: true
            ca_nl:
              type: string
              nullable: true
            ca_ns:
              type: string
              nullable: true
            ca_nt:
              type: string
              nullable: true
            ca_nu:
              type: string
              nullable: true
            ca_on:
              type: string
              nullable: true
            ca_pe:
              type: string
              nullable: true
            ca_qc:
              type: string
              nullable: true
            ca_sk:
              type: string
              nullable: true
            ca_yt:
              type: string
              nullable: true
            ca_oc:
              type: string
              nullable: true
        allow_concurrent:
          type: boolean
        feature:
          type: string
          nullable: true
        nullable:
          type: boolean
        structure: {}
        validation: {}
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````